## ros-kinetic-robotis-op3 0.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(robotis_op3)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-kinetic-robotis-op3 (0.2.1-0xenial) xenial; urgency=high

  * modified preview_response to fix operator matching bug on i386 machine
  * Contributors: SCH

 -- Pyo <pyo@robotis.com>  Sun, 25 Mar 2018 15:00:00 -0000

ros-kinetic-robotis-op3 (0.2.0-0xenial) xenial; urgency=high

  * first release of op3_online_walking_module package
  * first release of op3_localization package
  * first release of op3_balance_control package
  * added C++11 build option
  * deleted op3_optimization
  * changed package.xml to use format v2
  * op3_base_module:
    changed method to setting module(msg -> srv)
    fixed a bug to jump to init pose
    fixed a bug in head_control_module that wrong init vel or accel is set for generating trajectory in middle of moving
    changed a method of setting module in base_module
    added C++11 build option
  * op3_head_control_module:
    increased scanning speed
    fixed bug that the garbage value entered the initial value of velocity/acceleration to generate a trajectory
    fixed a bug in head_control_module that wrong init vel or accel is set for generating trajectory in middle of moving.
    changed a method of setting module in base_module
  * op3_manager:
    added wholebody module
    added online walking module
    added body offset z
    added C++11 build option
    deleted op3_optimization node in op3_manager.launch
    changed dynamixel code for deprecated function
  * op3_walking_module:
    added debug print
  * refactoring to release
  * Contributors: Kayman, SCH, Pyo

 -- Pyo <pyo@robotis.com>  Sun, 25 Mar 2018 15:00:00 -0000

ros-kinetic-robotis-op3 (0.1.1-0xenial) xenial; urgency=high

  * added op3_direct_control_module package
  * added missing package in find_package()
  * added op3_walking_module_msgs in find_package() function
  * fixed missing dependence
  * fixed action_module bug
  * changed License from BSD to Apache 2.0
  * Contributors: Kayman, Pyo

 -- Pyo <pyo@robotis.com>  Mon, 30 Oct 2017 15:00:00 -0000

ros-kinetic-robotis-op3 (0.1.0-0xenial) xenial; urgency=high

  * added new metapackage for ROBOTIS OP3
  * added new function to action_editor(mirror, copy step value)
  * added the function of recovery after reset
  * added function of reset dxl power
  * added action, modified dxl init file
  * added function to play mp3 with playing action
  * added debug setting to the init.yaml
  * added motoin_data
  * added ceremony motion after kick [soccer_demo]
  * applied latest framework to robot files
  * applied advance of soccer demo
  * applied ROS C++ Coding Style
  * applying framework
  * clear offset file
  * modified start button function : restart -> restart or go init pose [op3_manager]
  * modified the OP3.robot
  * modified gain
  * updated for humanoid 2016
  * changed control cycle to 8ms
  * changed setting for walking and dxl
  * changed mp3 files to new voice
  * changed package name : op2 -> op3
  * Contributors: Kayman

 -- Pyo <pyo@robotis.com>  Thu, 26 Oct 2017 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-robotis-op3
Section: misc
Priority: extra
Maintainer: Pyo <pyo@robotis.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://wiki.ros.org/robotis_op3
Standards-Version: 3.9.2

Package: ros-kinetic-robotis-op3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-cm-740-module, ros-kinetic-op3-action-module, ros-kinetic-op3-balance-control, ros-kinetic-op3-base-module, ros-kinetic-op3-direct-control-module, ros-kinetic-op3-head-control-module, ros-kinetic-op3-kinematics-dynamics, ros-kinetic-op3-localization, ros-kinetic-op3-manager, ros-kinetic-op3-online-walking-module, ros-kinetic-op3-walking-module, ros-kinetic-open-cr-module
Description: ROS packages for the robotis_op3 (meta package)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-robotis-op3//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
